TTF_GetTextDirection(3)

NAME
TTF_GetTextDirection - Get the direction to be used for text shaping a text object.

HEADER FILE
Defined in SDL3_ttf/SDL_ttf.h

SYNOPSIS
#include "SDL3_ttf/SDL_ttf.h"

TTF_Direction TTF_GetTextDirection(TTF_Text *text);

DESCRIPTION
This defaults to the direction of the font used by the text object.

FUNCTION PARAMETERS

text
    the text to query.

RETURN VALUE
( TTF_Direction ) Returns the direction to be used for text shaping.

THREAD SAFETY
This function should be called on the thread that created the text.

AVAILABILITY
This function is available since SDL_ttf 3.0.0.